Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226044 - Merge Review: libsepol
Summary: Merge Review: libsepol
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adel Gadllah
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: F9MergeReviewTarget
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:27 UTC by Nobody's working on this, feel free to take it
Modified: 2008-01-21 22:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-21 22:19:45 UTC
adel.gadllah: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:27:41 UTC
Fedora Merge Review: libsepol

http://cvs.fedora.redhat.com/viewcvs/devel/libsepol/
Initial Owner: dwalsh@redhat.com

Comment 1 Adel Gadllah 2008-01-04 00:42:58 UTC
rpmlint output: 
"libsepol.x86_64: W: no-documentation"
looks good !

------------------

Comments on the spec file:

> Provides: libsepol.so

Why is this needed?

------------------

>%build
>make clean
>make CFLAGS="%{optflags}"

Please append %{?_smp_mflags}

------------------

>%files devel
>%defattr(-,root,root)
>%{_libdir}/libsepol.a

Either remove this file or create a -static package if it needs to be shipped
for some reason.



Comment 2 Adel Gadllah 2008-01-15 16:55:12 UTC
ping?

Comment 3 Daniel Walsh 2008-01-21 20:37:45 UTC
No one is using the libsepol-devel library without needing the libsepol.a file.

Comment 4 Daniel Walsh 2008-01-21 20:45:00 UTC
Updates applied in

libsepol-2.0.7-2

Comment 5 Adel Gadllah 2008-01-21 21:51:35 UTC
(In reply to comment #4)
> Updates applied in
> 
> libsepol-2.0.7-2

Package looks fine now.

=> APPROVED!


Note You need to log in before you can comment on or make changes to this bug.